Android 6.0项目,程序不能运行,继承AppCompatActivity就不行!!!

之前eclipse只是4.4,后来网上下载一些东西。按照设置都完成后。自己建了个demo也可以运行。唯独当我在MainActivity中改变extends Activity
变为extends AppCompatActivity。奇怪了,Demo直接闪屏报错。下面贴出damo项目:
这个是Demo项目列表

图片说明

这个是activity内容:

图片说明

这个是报错原因:

图片说明

求大神告诉我什么原因!为什么继承了AppCompatActivity就不能运行了?这个是V7包下的。我检查了我引用的V7包,反编译看到里面是有这个的。

2个回答

clean一下project试试?

sinat_32688815
岁末的风 回复Littlechoc: 没有用的。看提示,说V7包某个类里面的R.styleable....找不到。我反编译看到的。好奇怪,jar包里面怎么报错呢
4 年多之前 回复
zjh_1993
Littlechoc 回复岁末的风: http://stackoverflow.com/questions/32107568/updated-appcompat-v7-to-the-newest-version-get-noclassdeffound-for-appcompatdel在这看看有用的么。重新建一个工程试试。
4 年多之前 回复
sinat_32688815
岁末的风 回复Littlechoc: V4包,V7包,都在libs下,而且也add 进去了
4 年多之前 回复
zjh_1993
Littlechoc 回复岁末的风: 加了v4包了么? http://stackoverflow.com/questions/32243791/unity-android-with-appcompat-rejecting-re-init-on-previously-failed-class-java-l
4 年多之前 回复
sinat_32688815
岁末的风 没有的,clean N次了
4 年多之前 回复

不要继续用eclipse了,改用Android Studio吧

dongfeng9ge
东风玖哥 回复岁末的风: 可以采纳我的答案吗?
4 年多之前 回复
sinat_32688815
岁末的风 好的,谢谢了
4 年多之前 回复
dongfeng9ge
东风玖哥 回复岁末的风: Android Studio就是Android专用IDEA
4 年多之前 回复
sinat_32688815
岁末的风 考虑学习使用Android Studio。是不是和idea一样的?
4 年多之前 回复
Csdn user default icon
上传中...
上传图片
插入图片
抄袭、复制答案,以达到刷声望分或其他目的的行为,在CSDN问答是严格禁止的,一经发现立刻封号。是时候展现真正的技术了!
立即提问
相关内容推荐